Update an organization secret
Organization Secrets
Update an organization secret
Updates one or more fields on an organization secret. Requires admin role. Available on OneCLI Cloud and self-hosted Enterprise.
PATCH
Update an organization secret
Authorizations
API key obtained from the dashboard or GET /user/api-key
Path Parameters
Body
application/json
Required string length:
1 - 255Required string length:
1 - 10000How the gateway injects this secret into matching outbound requests (generic secrets only). Exactly one variant:
- Header —
{ "headerName": "Authorization", "valueFormat": "Bearer {value}" } - Query parameter —
{ "paramName": "key", "paramFormat": "{value}" } - URL path template —
{ "pathTemplate": "/bot{value}" }(must start with/and contain{value}exactly once) - URL path regex —
{ "pathRegex": "^/bot([^/]+)", "pathReplacement": "/bot{value}" }(replacement must contain{value})
Unknown or mixed keys are rejected.
- Header injection
- Query parameter injection
- URL path template injection
- URL path regex injection
Response
Secret updated